<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include_once('config/config_modvweb.php');
if($Use_ModVWeb!=1){echo "<center>Chuc nang khong bat hoac khong duoc su dung.</center>"; exit();}
if(!in_array($_SESSION['mu_username'], $modvweb_listaccept))  { echo "<center>Ban khong phai thanh vien Ban Quan Tri, vao day lam gi?</center>"; exit();}
if ( !isset($_SESSION['mu_username']) ) {
	echo "<div align=center><font color=red><b>Hãy Login trước khi thực hiện chức năng này</b></font></div>";
}else{
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	
	if ($action == 'modvweb')
	{
		$type_mod = $_POST['type_mod'];	$type_mod = abs(intval($type_mod));
		$name_option = $_POST['name_option'];
		$option = $_POST['option'];
		$giatri_plus = $_POST['giatri_plus'];	$giatri_plus = abs(intval($giatri_plus));
		
		$pass2 = $_POST['pass2'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($name_option)) {
			$error = "<font color='red'>Chưa nhập tên tài khoản hoặc tên nhân vật cần xử lý.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $name_option))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Tên tài khoản hoặc tên nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9).</font><br>";
			}
		elseif (!preg_match("/^[a-z_]*$/i", $option))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Chức năng chỉ được sử dụng kí tự a-z và _ .</font><br>";
			}
		elseif (!preg_match("/^[0-9]*$/i", $giatri_plus))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Giá trị chỉ được sử dụng số 1-9.</font>";
			}
		elseif(empty($pass2)) {
			$error = "Chưa nhập mật khẩu cấp 2.";
		}
		else {
			
			$getcontent_url = $server_url . "/sv_modvweb.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
				'pass2'    =>  $pass2,
				'type_mod'	=>	$type_mod,
				'name_option'	=> $name_option,
				'option'	=> $option,
                'giatri_plus'    =>  $giatri_plus,
                
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
			     $info = read_TagName($reponse, 'info', 1);
				if($info == 'OK') {
                    $notice = read_TagName($reponse, 'notice', 1);
				}
				else $error = $reponse;
			}
		}
	}
}

$page_template = "templates/modvweb.tpl";
}
?>